## nuapplet 2.2

=== CMakeLists.txt ===
PROJECT(nuapplet2)

# apt-get install libqt4-dev
INCLUDE(FindQt4)
INCLUDE(FindNuclient.cmake)

IF (NOT QT4_FOUND)
	MESSAGE(FATAL_ERROR "Qt4 development files not found. Please install libqt4-dev")
ENDIF (NOT QT4_FOUND)

IF (NOT NUCLIENT_FOUND)
	MESSAGE(FATAL_ERROR "Libnuclient development files not found. Please install libnuclient-dev")
ENDIF (NOT NUCLIENT_FOUND)

INCLUDE(${QT_USE_FILE})

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DTRANSLATION_DIR='"${CMAKE_INSTALL_PREFIX}/share/qt4/translations/"' -DDATA_DIR='"${CMAKE_INSTALL_PREFIX}/share/nuapplet2/"' ${LIBNUCLIENT_DEFINITIONS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${NUCLIENT_INCLUDE_DIR})
LINK_DIRECTORIES(${QT_LIBRARY_DIR} ${NUCLIENT_LIBRARY_DIR})

IF(APPLE)
	ADD_DEFINITIONS(-DFREEBSD)
ENDIF(APPLE)

SET(GUI_SRCS
	auth_dlg.cpp
	editbox.cpp
	preferences.cpp
	systray.cpp
	thread_session.cpp
	)

SET(GUI_HDRS
	auth_dlg.h
	editbox.h
	preferences.h
	systray.h
	thread_session.h
	)

# there's a typo in cmake documentation: QT4_ADD_RESOURCES (with an S)
QT4_ADD_RESOURCES(GUI_SRCS application.qrc)

# for this to work, $name.cpp file must include $name.moc
QT4_AUTOMOC( ${GUI_SRCS} )

ADD_EXECUTABLE(nuapplet2
	main.cpp
	${GUI_SRCS}
	${GUI_HDRS}
	)

#QT4_GENERATE_MOC(${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.h ${CMAKE_CURRENT_BINARY_DIR}/moc_mainwindow.cpp)
##QT4_AUTOMOC(${GUI_HDRS)

TARGET_LINK_LIBRARIES(nuapplet2 ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${NUCLIENT_LIBRARY})

INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/nuapplet2 DESTINATION bin)
INSTALL(FILES nuapplet2.desktop DESTINATION share/applications)
INSTALL(FILES images/nuapplet2-running.png DESTINATION share/pixmaps)
INSTALL(FILES images/inl.png DESTINATION share/nuapplet2)
INSTALL(FILES lang/nuapplet2_fr_FR.qm DESTINATION share/qt4/translations)

SET(ts_files "lang/nuapplet2_fr_FR.ts")
ADD_CUSTOM_TARGET(lupdate
	COMMAND
		"lupdate"
		"*.cpp"
		"*.h"
		-ts "${ts_files}"
	WORKING_DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}
	COMMENT
		"Runs lupdate command"
)

ADD_CUSTOM_TARGET(lrelease
	COMMAND
		"lrelease"
		"${ts_files}"
	WORKING_DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}
	COMMENT
		"Runs lrelease command"
)

## Packaging infos
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NuApplet")
SET(CPACK_PACKAGE_VENDOR "INL")
#SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/ReadMe.txt")
#SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/Copyright.txt")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")
INCLUDE(CPack)

=== Makefile ===
CMAKE_OPTIONS = -DCMAKE_BUILD_TYPE=Debug -DCMAKE_VERBOSE_MAKEFILE=0
CMAKE_RELEASE_OPTIONS = -DCMAKE_BUILD_TYPE=Release -DCMAKE_VERBOSE_MAKEFILE=0 -DCMAKE_INSTALL_PREFIX=/usr

all: build/Makefile lrelease
	make -C build all

build/Makefile:
	[ -d build ] || mkdir build; \
	cd build && cmake $(CMAKE_OPTIONS) ..



release:
	[ -d release ] || mkdir release; \
	cd release && cmake $(CMAKE_RELEASE_OPTIONS) .. && make && make lrelease

lupdate: build/Makefile
	make -C build lupdate

lrelease: build/Makefile
	make -C build lrelease

clean:
	rm -rf build
	rm -rf release

.PHONY: all clean lupdate lrelease release

## nuapplet 2.3.0

=== CMakeLists.txt ===
PROJECT(nuapplet2)

SET(PROJECT_VERSION_MAJOR "2")
SET(PROJECT_VERSION_MINOR "3")
SET(PROJECT_VERSION_PATCH "0")
SET(PROJECT_VERSION_STR "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")

cmake_minimum_required(VERSION 2.6)

# apt-get install libqt4-dev
INCLUDE (CheckIncludeFile)
INCLUDE (CheckIncludeFiles)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckSymbolExists)
INCLUDE (FindPkgConfig)

INCLUDE(FindQt4)
INCLUDE(FindNuclient.cmake)

IF (NOT QT4_FOUND)
	MESSAGE(FATAL_ERROR "Qt4 development files not found. Please install libqt4-dev")
ENDIF (NOT QT4_FOUND)

IF (NOT LIBNUCLIENT_FOUND)
	MESSAGE(FATAL_ERROR "Libnuclient development files not found. Please install libnuclient-dev")
ENDIF (NOT LIBNUCLIENT_FOUND)

INCLUDE(${QT_USE_FILE})

ADD_DEFINITIONS(-DPROJECT_VERSION_STR="${PROJECT_VERSION_STR}")
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DTRANSLATION_DIR="${CMAKE_INSTALL_PREFIX}/share/qt4/translations/" -DDATA_DIR="${CMAKE_INSTALL_PREFIX}/share/nuapplet2/" ${LIBNUCLIENT_DEFINITIONS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})
LINK_DIRECTORIES(${QT_LIBRARY_DIR} ${LIBNUSSL_LIBDIR} ${LIBNUCLIENT_LIBDIR})

IF(APPLE)
	ADD_DEFINITIONS(-DFREEBSD)
ENDIF(APPLE)

INCLUDE_DIRECTORIES(${LIBNUSSL_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${LIBNUCLIENT_INCLUDE_DIRS})

SET(GUI_SRCS
	src/auth_dlg.cpp
	src/editbox.cpp
	src/logs.cpp
	src/preferences.cpp
	src/systray.cpp
	src/thread_session.cpp
	)

SET(GUI_HDRS
	src/auth_dlg.h
	src/editbox.h
	src/logs.h
	src/preferences.h
	src/systray.h
	src/thread_session.h
	)

SET(GUI_UIS
	ui/logs.ui
	ui/prefs.ui
	)

# there's a typo in cmake documentation: QT4_ADD_RESOURCES (with an S)
QT4_ADD_RESOURCES(GUI_SRCS application.qrc)

# for this to work, $name.cpp file must include $name.moc
QT4_AUTOMOC( ${GUI_SRCS} )

QT4_WRAP_UI(GUI_UIS_H ${GUI_UIS})

ADD_EXECUTABLE(nuapplet2
	src/main.cpp
	${GUI_SRCS}
	${GUI_HDRS}
	${GUI_UIS_H}
	)

#QT4_GENERATE_MOC(${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.h ${CMAKE_CURRENT_BINARY_DIR}/moc_mainwindow.cpp)
##QT4_AUTOMOC(${GUI_HDRS)

TARGET_LINK_LIBRARIES(nuapplet2 ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${LIBNUSSL_LDFLAGS} ${LIBNUCLIENT_LDFLAGS})

INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/nuapplet2 DESTINATION bin)
INSTALL(FILES nuapplet2.desktop DESTINATION share/applications)
INSTALL(FILES images/nuapplet2-running.png DESTINATION share/pixmaps)
INSTALL(FILES lang/nuapplet2_fr_FR.qm DESTINATION share/qt4/translations)

SET(ts_files "lang/nuapplet2_fr_FR.ts")
ADD_CUSTOM_TARGET(lupdate
	COMMAND
		"lupdate"
		"src/*.cpp"
		"src/*.h"
		"ui/*.ui"
		-ts "${ts_files}"
	WORKING_DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}
	COMMENT
		"Runs lupdate command"
)

ADD_CUSTOM_TARGET(lrelease
	COMMAND
		"lrelease"
		"${ts_files}"
	WORKING_DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}
	COMMENT
		"Runs lrelease command"
)

## Packaging infos
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NuApplet")
SET(CPACK_PACKAGE_VENDOR "EdenWall")
#SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/ReadMe.txt")
#SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/Copyright.txt")
SET(CPACK_PACKAGE_VERSION_MAJOR "$PROJECT_VERSION_MAJOR")
SET(CPACK_PACKAGE_VERSION_MINOR "$PROJECT_VERSION_MINOR")
SET(CPACK_PACKAGE_VERSION_PATCH "$PROJECT_VERSION_PATCH")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")
INCLUDE(CPack)

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 release:
 	[ -d release ] || mkdir release; \
-	cd release && cmake $(CMAKE_RELEASE_OPTIONS) .. && make && make lrelease
+	cd release && cmake $(CMAKE_RELEASE_OPTIONS) .. && make lrelease && make
 
 lupdate: build/Makefile
 	make -C build lupdate

=== debian/changelog ===
nuapplet (2.3.0-2) unstable; urgency=low

  * Bump Standards Version to 3.9.3
  * Convert to source format 3.0 (quilt)
  * Switch to debhelper 9
  * Add 10_ftbfs_gcc47.patch to fix FTBFS with g++-4.7 (Closes: #667301)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 21 Apr 2012 16:13:38 +0200

nuapplet (2.3.0-1) unstable; urgency=high

  * Imported Upstream version 2.3.0
    Add support for new (>= 2.4) libnuclient API (Closes: #573667)
  * Urgency high, RC bug
  * Bump standards version to 3.8.4
  * Update homepage location
  * Update dependencies on libnuclient and libnussl >= 2.4.0

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 May 2010 15:15:59 +0200

nuapplet (2.2-3) unstable; urgency=medium

  * Add pkg-config to build deps (Closes: #477020)
  * Urgency=medium because of bug severity

 -- Pierre Chifflier <pollux@debian.org>  Sun, 27 Apr 2008 17:46:46 +0200

nuapplet (2.2-2) unstable; urgency=low

  * Fix FTBFS (Closes: #477020)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 20 Apr 2008 18:19:18 +0200

nuapplet (2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version (no changes)
  * Add Homepage header

 -- Pierre Chifflier <pollux@debian.org>  Mon, 10 Dec 2007 11:14:58 +0100

nuapplet (2.0-2) unstable; urgency=low

  * Add missing build-dep on cmake (Closes: #449197)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Nov 2007 15:32:02 +0100

nuapplet (2.0-1) unstable; urgency=low

  * Initial release (Closes: #448135)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 26 Oct 2007 09:45:11 +0200

=== debian/control ===
Source: nuapplet
Section: net
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9),
        libnuclient-dev (>= 2.4.0),
        libnussl-dev (>= 2.4.0),
        libqt4-dev (>= 4.2.1),
        cmake,
        pkg-config
Standards-Version: 3.9.3
Homepage: http://www.nufw.org/projects/nuapplet2/wiki/

Package: nuapplet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphical client for NuFW
 NuApplet2 is a systray application for the authenticating firewall NuFW,
 written in Qt.
 .
 It is compliant with FreeDesktop and can be used with several desktop
 environments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	$(MAKE) release

override_dh_auto_install:
	cd release && $(MAKE) DESTDIR=$(CURDIR)/debian/nuapplet install

override_dh_clean:
	rm -f lang/nuapplet2_fr_FR.qm
	dh_clean

%:
	dh $@
